#!/usr/bin/env ruby
require 'libglade2'

class HelloLibglade2
  def initialize(path, appname)
    @glade = GladeXML.new(path, nil, appname) {|handler| method(handler)}
  end
  def on_quit
    puts "Hello world"
    Gtk.main_quit
  end
end

if __FILE__ == $0
  APPNAME = "helloglade2"
  Gnome::Program.new(APPNAME, "1.0")
  HelloLibglade2.new("helloglade2.glade", APPNAME)
  Gtk.main
end
